Subject: bug#34577: 27.0.50; Identical face specification yields different line heights on different platforms

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jun 2019 20:03:58 +0300

> From: Markus Triska <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 10 Jun 2019 17:07:46 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Is there a way to reliably obtain the same results on these platforms?
> >
> > Not when each platform has its own font back-end, no.
> 
> As far as I can tell, xft is the font back-end that is used on both
> platforms. For example, when I evaluate the following form:
> 
>     (frame-parameter nil 'font-backend)
> 
> then on Debian, this yields: (xft x)
> and on OSX, this yields:     (xft)
> 
> Is this useful to obtain consistent behaviour? Can I do anything to
> configure this identically? Is more information needed to do this?

I'm afraid you've exceeded the limits of my expertise on these
matters.  I could mumble something about differences of rounding to
integral pixel values, but instead I will CC Handa-san, who might have
a better idea of what is involved here.